Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium
Interface CommandProcessor

All Known Implementing Classes:
  HttpCommandProcessor

public interface CommandProcessor

Provides a `doCommand` method, which sends the command to the browser to be performed.

Version:
  $Revision: 951 $
Author:
  Paul Hammant

Method Summary
`java.lang.String` | `doCommand(java.lang.String command, java.lang.String[] args)` Send the specified Selenese command to the browser to be performed
`boolean` | `getBoolean(java.lang.String string, java.lang.String[] strings)`
`boolean[]` | `getBooleanArray(java.lang.String string, java.lang.String[] strings)`
`java.lang.Number` | `getNumber(java.lang.String string, java.lang.String[] strings)`
`java.lang.Number[]` | `getNumberArray(java.lang.String string, java.lang.String[] strings)`
`java.lang.String` | `getString(java.lang.String string, java.lang.String[] strings)`
`java.lang.String[]` | `getStringArray(java.lang.String string, java.lang.String[] strings)`
`void` | `start()` Starts a new Selenium testing session
`void` | `stop()` Ends the current Selenium testing session (normally killing the browser)

Method Detail

### doCommand

    public java.lang.String doCommand(java.lang.String command,
                                      java.lang.String[] args)

  Send the specified Selenese command to the browser to be performed

  Parameters:
    `command` - - the Selenese command verb
    `args` - - the arguments to the Selenese command (depends on the verb)
  Returns:
    - the command result, defined by the Selenese JavaScript. "getX" style commands may return data from the browser; other "doX" style commands may just return "OK" or an error message.

### start

    public void start()

  Starts a new Selenium testing session

### stop

    public void stop()

  Ends the current Selenium testing session (normally killing the browser)

### getString

    public java.lang.String getString(java.lang.String string,
                                      java.lang.String[] strings)

### getStringArray

    public java.lang.String[] getStringArray(java.lang.String string,
                                             java.lang.String[] strings)

### getNumber

    public java.lang.Number getNumber(java.lang.String string,
                                      java.lang.String[] strings)

### getNumberArray

    public java.lang.Number[] getNumberArray(java.lang.String string,
                                             java.lang.String[] strings)

### getBoolean

    public boolean getBoolean(java.lang.String string,
                              java.lang.String[] strings)

### getBooleanArray

    public boolean[] getBooleanArray(java.lang.String string,
                                     java.lang.String[] strings)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.